#ifndef ATLFBrowsable_H
#define ATLFBrowsable_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFBrowsable                                                        //
//                                                                      //
// helper class to browse generated particles.                          //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TNamed
#include <TNamed.h>
#endif

class ATLFBigBang;

class ATLFBrowsable : public TNamed {

private:
   TObject          *m_RefObject;       //Referenced object
   ATLFBigBang      *m_BigBang;         //Pointer to control bigbang object

public:
                     ATLFBrowsable();
   virtual          ~ATLFBrowsable() {;}
   virtual void      Browse(TBrowser *b);
   Bool_t            IsFolder() const {return kTRUE;}
   virtual void      SetBigBang(ATLFBigBang *bigbang) {m_BigBang = bigbang;}
   virtual void      SetRefObject(TObject *obj) {m_RefObject = obj;}

   ClassDef(ATLFBrowsable, 0)   //helper class to browse generated particles.
};

#endif
