
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast cluster                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "ATLFCluster.h"
#include "ATLFast.h"
#include "ATLFVirtualDisplay.h"

ClassImp(ATLFCluster)


//_____________________________________________________________________________
ATLFCluster::ATLFCluster(Int_t , Int_t ncells, Int_t nparticles, Int_t , Float_t eta0, Float_t phi0,
                     Float_t eta, Float_t phi, Float_t et)
{
   m_KFcode  = 98;
   m_Ncells  = ncells;
   m_Nparticles = nparticles;
   m_UseFlag = 1;
   m_Eta0    = eta0;
   m_Phi0    = phi0;
   m_Eta     = eta;
   m_Phi     = phi;
   m_ET      = et;
}

//______________________________________________________________________________
char *ATLFCluster::GetObjectInfo(Int_t , Int_t )
{
   static char info[64];
   sprintf(info,"eta=%f, phi=%f, pt=%f, ncells=%d",m_Eta, m_Phi, m_ET, m_Ncells);
   return info;
}

//_____________________________________________________________________________
void ATLFCluster::Paint(Option_t *option)
{

   if (m_UseFlag == 0) return;
   if (gATLFast->Display()->DrawClusters())
     gATLFast->Display()->PaintFruit(this,m_Eta, m_Phi, m_ET, 1, option);
}

//______________________________________________________________________________
void ATLFCluster::Sizeof3D() const
{
   if (m_UseFlag == 0) return;
   gATLFast->Display()->SizeFruit();
}
