#ifndef ATLFElectron_H
#define ATLFElectron_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast electron class                                               //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TObject
#include <TObject.h>
#endif
#ifndef ROOT_TAtt3D
#include <TAtt3D.h>
#endif

class ATLFElectron : public TObject, public TAtt3D {

private:
   Int_t          m_KFcode;        //Electron KF-code
   Int_t          m_MCParticle;    //Electron position in MCParticles list
   Int_t          m_KFmother;      //Electron mother KF-code
   Float_t        m_Eta;           //Eta coordinate
   Float_t        m_Phi;           //Phi coordinate
   Float_t        m_PT;            //Transverse energy

public:
                  ATLFElectron() {;}
                  ATLFElectron(Int_t code, Int_t mcparticle, Int_t mother, Float_t eta, Float_t phi, Float_t pt);
   virtual       ~ATLFElectron() {;}
   virtual char  *GetObjectInfo(Int_t px, Int_t py);
   virtual void   Paint(Option_t *option="");
   Float_t        Eta() {return m_Eta;}
   Float_t        Phi() {return m_Phi;}
   Float_t        PT()  {return m_PT;}
   Int_t          KFcode()  {return m_KFcode;}
   Int_t          MCParticle()  {return m_MCParticle;}
   Int_t          KFmother()  {return m_KFmother;}
   virtual void   Sizeof3D() const;

   ClassDef(ATLFElectron, 1)   //ATLFast electron class
};

#endif
