
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast jet class                                                    //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "ATLFJet.h"
#include "ATLFast.h"
#include "ATLFVirtualDisplay.h"

ClassImp(ATLFJet)


//_____________________________________________________________________________
ATLFJet::ATLFJet(Int_t code, Int_t ncells, Int_t nparticles,Int_t part,
                        Float_t eta0, Float_t phi0, Float_t eta, Float_t phi, Float_t pt)
{
   m_KFcode     = code;
   m_Ncells     = ncells;
   m_Nparticles = nparticles;
   m_Part       = part;
   m_Eta0       = eta0;
   m_Phi0       = phi0;
   m_Eta        = eta;
   m_Phi        = phi;
   m_PT         = pt;
}

//______________________________________________________________________________
char *ATLFJet::GetObjectInfo(Int_t , Int_t )
{
   static char info[64];
   sprintf(info,"eta=%f, phi=%f, pt=%f, type=%d",m_Eta, m_Phi, m_PT, m_KFcode);
   return info;
}

//_____________________________________________________________________________
void ATLFJet::Paint(Option_t *option)
{

   gATLFast->Display()->PaintFruit(this,m_Eta, m_Phi, m_PT,5,option);
}

//______________________________________________________________________________
void ATLFJet::Sizeof3D() const
{
   gATLFast->Display()->SizeFruit();
}
