
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast miscellaneous class                                          //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "ATLFMisc.h"
#include "ATLFast.h"
#include "ATLFMCMaker.h"
#include "ATLFVirtualDisplay.h"

ClassImp(ATLFMisc)


//_____________________________________________________________________________
ATLFMisc::ATLFMisc()
{
   m_Run        = 1;
   m_Event      = 0;  
   m_MCProcess  = 0;  
   m_Nelectrons = 0;
   m_Nmuons     = 0;
   m_Nmuonsx    = 0;
   m_Nphotons   = 0;
   m_Nalljets   = 0;
   m_Nbjets     = 0;
   m_Ncjets     = 0;
   m_Ntaujets   = 0;
   m_pxmiss     = 0;
   m_pymiss     = 0;
   m_pxnu       = 0;
   m_pynu       = 0;
   m_CircJets   = 0;
   m_CircEvent  = 0;
   m_Thrust     = 0;
   m_Oblateness = 0;

}

//______________________________________________________________________________
char *ATLFMisc::GetObjectInfo(Int_t , Int_t )
{
   static char info[64];
   sprintf(info,"pxmiss=%f, pymiss=%f",m_pxmiss, m_pymiss);
   return info;
}

//_____________________________________________________________________________
void ATLFMisc::Paint(Option_t *option)
{

   Float_t eta = 0;
   Float_t pt  = TMath::Sqrt(m_pxmiss*m_pxmiss + m_pymiss*m_pymiss);
   Float_t phi = gATLFast->MCMaker()->Angle(m_pxmiss, m_pymiss);
   gATLFast->Display()->PaintFruit(this, eta, phi, pt,6, option);
}
//_____________________________________________________________________________
void ATLFMisc::SetMissing(Float_t pxmiss, Float_t pymiss, Float_t pxnu, Float_t pynu)
{
   m_pxmiss = pxmiss;
   m_pymiss = pymiss;
   m_pxnu   = pxnu;
   m_pynu   = pynu;
}

//______________________________________________________________________________
void ATLFMisc::Sizeof3D() const
{
   gATLFast->Display()->SizeFruit();
}
