
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast muon class                                                   //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "ATLFMuon.h"
#include "ATLFast.h"
#include "ATLFVirtualDisplay.h"

ClassImp(ATLFMuon)


//_____________________________________________________________________________
ATLFMuon::ATLFMuon(Int_t code, Int_t mcparticle, Int_t mother, Int_t use, Int_t isol, Float_t eta, Float_t phi, Float_t pt, Int_t trigger)
{
   m_KFcode     = code;
   m_MCParticle = mcparticle;
   m_KFmother   = mother;
   m_UseFlag    = use;
   m_Isolated   = isol;
   m_Eta        = eta;
   m_Phi        = phi;
   m_PT         = pt;
   m_Trigger    = trigger;
}

//______________________________________________________________________________
char *ATLFMuon::GetObjectInfo(Int_t , Int_t )
{
   static char info[64];
   sprintf(info,"eta=%f, phi=%f, pt=%f",m_Eta, m_Phi, m_PT);
   return info;
}

//_____________________________________________________________________________
void ATLFMuon::Paint(Option_t *option)
{

   gATLFast->Display()->PaintFruit(this, m_Eta, m_Phi, m_PT, 4, option);
}

//______________________________________________________________________________
void ATLFMuon::Sizeof3D() const
{
   gATLFast->Display()->SizeFruit();
}
