#ifndef ATLFMuon_H
#define ATLFMuon_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast muon class                                                   //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TObject
#include <TObject.h>
#endif
#ifndef ROOT_TAtt3D
#include <TAtt3D.h>
#endif

class ATLFMuon : public TObject, public TAtt3D {

private:
   Int_t          m_KFcode;        //Muon KF-code
   Int_t          m_MCParticle;    //Muon position in MCParticles list
   Int_t          m_KFmother;      //Muon mother KF-code
   Int_t          m_UseFlag;       //Muon energy usage flag (O for used in clusters)
   Int_t          m_Isolated;      //Muon isolation (1 for isolated)
   Float_t        m_Eta;           //Eta coordinate
   Float_t        m_Phi;           //Phi coordinate
   Float_t        m_PT;            //Transverse energy
   Int_t          m_Trigger;       //Result of trigger

public:
                  ATLFMuon() {;}
                  ATLFMuon(Int_t code, Int_t mcparticle, Int_t mother, Int_t use, Int_t isol, Float_t eta, Float_t phi, Float_t pt, Int_t trigger);
   virtual       ~ATLFMuon() {;}
   virtual char  *GetObjectInfo(Int_t px, Int_t py);
   virtual void   Paint(Option_t *option="");
   virtual void   Sizeof3D() const;

//      Getters
   Float_t        Eta() {return m_Eta;}
   Float_t        Phi() {return m_Phi;}
   Float_t        PT()  {return m_PT;}
   Int_t          UseFlag()  {return m_UseFlag;}
   Int_t          Isolated() {return m_Isolated;}
   Int_t          Trigger()  {return m_Trigger;}
   Int_t          KFcode()  {return m_KFcode;}
   Int_t          MCParticle()  {return m_MCParticle;}
   Int_t          KFmother()  {return m_KFmother;}

//      Setters
   void           SetEta(Float_t eta) {m_Eta = eta;}
   void           SetPhi(Float_t phi) {m_Phi = phi;}
   void           SetPT(Float_t pt) {m_PT = pt;}
   void           SetUseFlag(Int_t flag) {m_UseFlag = flag;}
   void           SetIsolated(Int_t isol) {m_Isolated = isol;}
   void           SetTrigger(Int_t trigger) {m_Trigger=trigger;}

   ClassDef(ATLFMuon, 1)   //ATLFast muon class
};

#endif
