#ifndef ATLFParticle_H
#define ATLFParticle_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFParticle                                                         //
//                                                                      //
// Graphics interface to event generators particle                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TNamed
#include <TNamed.h>
#endif
#ifndef ROOT_TMCParticle
#include <TMCParticle.h>
#endif
#ifndef ROOT_TPolyLine3D
#include <TPolyLine3D.h>
#endif
#ifndef ATLFDisplay_H
#include "ATLFDisplay.h"
#endif

class ATLFParticle : public TNamed {

private:
   TList            *m_Particles;            //List for particles
   ATLFDisplay      *m_Display;              //pointer to ATLFDisplay object
   TMCParticle      *m_MCParticle;           //pointer to selected particle
   TPolyLine3D      *m_Line;                 //pointer to line3D
   
public:
                     ATLFParticle();
                     ATLFParticle(const char *name);
   virtual          ~ATLFParticle();
   virtual void      Clear(Option_t *option="");
   virtual void      Delete(Option_t *option="");
   virtual Int_t     DistancetoPrimitive(Int_t px, Int_t py);
   ATLFDisplay      *Display() {return m_Display;}
   virtual void      ExecuteEvent(Int_t event, Int_t px, Int_t py);
   virtual char     *GetObjectInfo(Int_t px, Int_t py);
   TPolyLine3D      *HelixCurve(Float_t field, Float_t pmom, Float_t *vin);
   virtual void      HelixStep(Float_t field, Float_t step, Float_t pmom, Float_t *vin, Float_t *vout);
   virtual void      Paint(Option_t *option="");
   virtual void      SetLineAttributes(); // *MENU*
   virtual void      SizeParticles() const;

   ClassDef(ATLFParticle, 1)   //Graphics interface to event generators particle
};

#endif
