
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast photon class                                                 //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "ATLFPhoton.h"
#include "ATLFast.h"
#include "ATLFVirtualDisplay.h"

ClassImp(ATLFPhoton)


//_____________________________________________________________________________
ATLFPhoton::ATLFPhoton(Int_t code, Int_t mcparticle, Int_t mother, Float_t eta, Float_t phi, Float_t pt)
{
   m_KFcode     = code;
   m_MCParticle = mcparticle;
   m_KFmother   = mother;
   m_Eta        = eta;
   m_Phi        = phi;
   m_PT         = pt;
}

//______________________________________________________________________________
char *ATLFPhoton::GetObjectInfo(Int_t , Int_t )
{
   static char info[64];
   sprintf(info,"eta=%f, phi=%f, pt=%f",m_Eta, m_Phi, m_PT);
   return info;
}

//_____________________________________________________________________________
void ATLFPhoton::Paint(Option_t *option)
{

   gATLFast->Display()->PaintFruit(this,m_Eta, m_Phi, m_PT, 2, option);
}

//______________________________________________________________________________
void ATLFPhoton::Sizeof3D() const
{
   gATLFast->Display()->SizeFruit();
}
