
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast Track class                                                  //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "ATLFTrack.h"

ClassImp(ATLFTrack)


//_____________________________________________________________________________
ATLFTrack::ATLFTrack(Int_t code, Int_t mcparticle)
{
   m_KFcode     = code;
   m_MCParticle = mcparticle;
   m_Nmothers   = 0;
}

//_____________________________________________________________________________
void ATLFTrack::GetCrudeTrack(Float_t &a0, Float_t &z0, Float_t &phi, Float_t &cot, Float_t &ptinv)
{
   a0    = m_a0Crude ;
   z0    = m_z0Crude;
   phi   = m_phiCrude;
   cot   = m_cotCrude;
   ptinv = m_PTinvCrude;
}

//_____________________________________________________________________________
void ATLFTrack::GetSmearedTrack(Float_t &a0, Float_t &z0, Float_t &phi, Float_t &cot, Float_t &ptinv)
{
   a0    = m_a0 ;
   z0    = m_z0;
   phi   = m_phi;
   cot   = m_cot;
   ptinv = m_PTinv;
}

//_____________________________________________________________________________
void ATLFTrack::Draw(Option_t *)
{

}

//_____________________________________________________________________________
void ATLFTrack::Paint(Option_t *)
{

}
//_____________________________________________________________________________
void ATLFTrack::SetCrudeTrack(Float_t a0, Float_t z0, Float_t phi, Float_t cot, Float_t ptinv)
{
   m_a0Crude    = a0;
   m_z0Crude    = z0;
   m_phiCrude   = phi;
   m_cotCrude   = cot;
   m_PTinvCrude = ptinv;
}

//_____________________________________________________________________________
void ATLFTrack::SetSmearedTrack(Float_t a0, Float_t z0, Float_t phi, Float_t cot, Float_t ptinv)
{
   m_a0    = a0;
   m_z0    = z0;
   m_phi   = phi;
   m_cot   = cot;
   m_PTinv = ptinv;
}

//_____________________________________________________________________________
void ATLFTrack::SetCorrelations(Float_t *corr)
{
   for (Int_t i=0;i<25;i++) m_CORR[i] = corr[i];
}

//_____________________________________________________________________________
void ATLFTrack::SetMother(Int_t i, Int_t code, Int_t mctrack)
{
   if (i > 5) return; // error
   if (i >= m_Nmothers) m_Nmothers = i+1;
   m_KFmother[i] = code;
   m_MCmother[i] = mctrack;
}
