#ifndef ATLFTrigger_H
#define ATLFTrigger_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast trigger class                                                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TObject
#include <TObject.h>
#endif

class ATLFTrigger : public TObject {

private:
//  trigger types
   Bool_t         m_ALL;            //All triggers
   Bool_t         m_EM1;            //One isolated electron
   Bool_t         m_PH1;            //One isolated photon
   Bool_t         m_EM2;            //Two isolated electrons/photons
   Bool_t         m_MU1;            //One muon
   Bool_t         m_MU2;            //Two muons
   Bool_t         m_EMU;            //Electron-muon pairs
   Bool_t         m_JT1;            //One jet
   Bool_t         m_JT3;            //Three jets
   Bool_t         m_JT4;            //Four jets


public:
                  ATLFTrigger();
   virtual       ~ATLFTrigger() {;}
   virtual void   Clear(Option_t *option="");
   virtual void   Paint(Option_t *option="");

// Getters
   Bool_t         ALL()  {return m_ALL;}
   Bool_t         EM1()  {return m_EM1;}
   Bool_t         PH1()  {return m_PH1;}
   Bool_t         EM2()  {return m_EM2;}
   Bool_t         MU1()  {return m_MU1;}
   Bool_t         MU2()  {return m_MU2;}
   Bool_t         EMU()  {return m_EMU;}
   Bool_t         JT1()  {return m_JT1;}
   Bool_t         JT3()  {return m_JT3;}
   Bool_t         JT4()  {return m_JT4;}

//Setters
   virtual void   SetALL(Bool_t val=kTRUE)  {m_ALL = val;}
   virtual void   SetEM1(Bool_t val=kTRUE)  {m_EM1 = val;}
   virtual void   SetPH1(Bool_t val=kTRUE)  {m_PH1 = val;}
   virtual void   SetEM2(Bool_t val=kTRUE)  {m_EM2 = val;}
   virtual void   SetMU1(Bool_t val=kTRUE)  {m_MU1 = val;}
   virtual void   SetMU2(Bool_t val=kTRUE)  {m_MU2 = val;}
   virtual void   SetEMU(Bool_t val=kTRUE)  {m_EMU = val;}
   virtual void   SetJT1(Bool_t val=kTRUE)  {m_JT1 = val;}
   virtual void   SetJT3(Bool_t val=kTRUE)  {m_JT3 = val;}
   virtual void   SetJT4(Bool_t val=kTRUE)  {m_JT4 = val;}

   ClassDef(ATLFTrigger, 1)   //ATLFast trigger class 
};

#endif
