//   example of main program/macro to run ATLFast
//
//
// Modified 6/3/2000 Hywel T. Phillips to use PYTHIA version 6
//
// Thanks to Rene Brun for the PYTHIA6 ATLFAST code
//
// Needed to change all TPythia to TPythia6 objects and rename
// lulist -> pylist etc etc .
//
//   
void WMassGen_main(Long_t nevents=10000)
{
   gROOT->Reset();

   gROOT->Macro("loadlibs");   //load libraries

   // Open the root output file
   TFile file("WMass_events.root","RECREATE","ATLFast root file",2);
   
   ATLFast atlfast("atlfast");     // create main object to run atlfast

   gROOT->LoadMacro("WMassGen.C");  // execute WMassGen macro to load/compile
                                    // WMassGen class 

   WMassGen wmass;       // create WMassGen object

   wmass.Init();        // Initialise user routine, change default parameters
   atlfast.Init();      // Initialise algorithm (makers, histograms,etc)
   atlfast.MakeTree();  // Create the Root tree

   TPythia *pythia = (TPythia *)gATLFast->MCMaker()->Generator();
   //   pythia->PyStat(2);
   atlfast.PrintInfo();

 
   Int_t kFilter;
   for (Long_t i=0; i<nevents; i++) {
      if (i%50 == 0) printf("In loop:%d of %d\n",i,nevents);
      
//      if (i<10) pythia->Lulist(1);
       
      atlfast.Make(i);       // Generate and Reconstruct event
      wmass.FillHistograms(); // Fill user histograms
      kFilter=0;
      wmass.Filter(kFilter);  // Apply user filter
      //htp for now just write all of them...
      atlfast.FillTree();
      // uncomment this to make it do user filtering
      //if(kFilter > 0) atlfast.FillTree();  //Store interesting event
      //      if (i < 1) pythia->LuList(1);
      //pythia->Lulist(1); //display event record
      atlfast.Clear();       // Clear reconstructed event lists
   }
   pythia->Pystat(1);
   atlfast.Finish();
   // save objects in Root file
   //atlfast.Tree()->Print();
   atlfast.Write();  //save main atlfast object (and run parameters)
   //   atlfast.PrintInfo();
   wmass.StoreHistograms();
   file.Write();
}

































