//#include "TROOT.h"
//#include "TFile.h"
//#include "ATLFast.h"
//#include "TPythia.h"
//#include "ATLFMCMaker.h"
  
//   example of main program/macro to run ATLFast
//void umain(Int_t prodmode=1, Int_t nevents=1000)
void bug2(Int_t prodmode, Int_t nevents)
{
  // the following production mods may be specified
  //        1- H-->gam gam
  //        2- Z-->ee
  //        3- Z-->mumu
  //        4- H-->ZZ-->4e
  //        5- H-->ZZ-->4mu
  //        6- H-->ZZ-->2mu2e
  //        7- WH, H-->bb, W-->lnu
  //        8- WH, H-->gg, W-->lnu
  //        9- WH, H-->jj, W-->lnu
  //       10- bbA, A--> tau tau

   gROOT->Macro("$ATLFAST/loadlibs");

   // Open the root output file
   TFile file("atlfast.root","recreate","ATLFast root file",2);
   
gDebug=1;
   ATLFast atlfast("atlfast");     // create main object to run atlfast

   atlfast.MCMaker()->SetProductionMode(prodmode);

   gROOT->Macro("user.C");  // execute user macro to change some parameters

   atlfast.Init();      // Initialise event (maker histograms,etc)
   atlfast.MakeTree();  // Create the Root tree

   TPythia *pythia = (TPythia *)gATLFast->MCMaker()->Generator();
   pythia->Pystat(2);
   atlfast.PrintInfo();

   for (Int_t i=0; i<nevents; i++) {
      if (i%20 == 0) printf("In loop:%d\n",i);
      atlfast.Make(i);       // Generate and Reconstruct event
      atlfast.FillTree();
      if (i < 1) pythia->Lulist(1);
      atlfast.Clear();       // Clear reconstructed event lists
   }

   atlfast.Finish();
   // save objects in Root file
TTree *TT = new TTree("TT","junk");
TClass *cl = gROOT->GetClass("ATLFMCMaker");
TT->BuildStreamerInfo(cl,gATLFast->MCMaker());
gDebug=1;
   atlfast.Write();  //save main atlfast object (and run parameters)
}
