void chloop(Int_t nevmax=-1)
{
   gROOT->Reset();
   gROOT->Macro("loadlibs");

   // Open the first root output file
   TFile file("atlfast.root");

   ATLFast *atlfast = (ATLFast*)file.Get("atlfast");

   // example of a chain (here with 3 times the same input file)
   TChain *chain = new TChain("T");
   for (Int_t i=0;i<8;i++) {
      chain->Add("atlfast.root");
   }
   chain->Add("atlfast.root");
   chain->Add("atlfast.root");
   atlfast->InitChain(chain);

   Int_t nevents = chain->GetEntries();
   if (nevmax > 0) nevents = nevmax;

   Int_t nbytes = 0;
   for (Int_t i=0; i<nevents; i++) {
      if (i%100 == 1) printf("In loop:%d\n",i);
      nbytes += chain->GetEvent(i);      // Generate and reconstruct event
      atlfast.Clear();                   // Clear all event lists
   }
   printf("You have read %d events and %d bytes\n",nevents,nbytes);
}
