//   example of main program/macro to run ATLFast
void WMassAnal_main(Int_t nevmax=-1)
{
   gROOT->Reset();

   gROOT->Macro("$ATLFAST/loadlibs");

   // Open the root output file
   TFile *file = new TFile("WMass_events.root");
   
   // create pointer to objet atlfast
   ATLFast *atlfast = (ATLFast*)file.Get("atlfast");

   gROOT->LoadMacro("WMassAnal.C");  // execute WMass macro to change some parameters

   WMassAnal *wmass = new WMassAnal();       // create an object of the WMassAnal class defined in WMassAnal.C


   wmass->Init();

   // create pointers to objet tree
   TTree *tree    = atlfast.Tree();

   Int_t nevents = tree->GetEntries();
   if (nevmax > 0) nevents = nevmax;

   for (Int_t i=0; i<nevents; i++) {
      if (i%100 == 1) printf("In loop:%d\n",i);
      tree->GetEvent(i);       // Get reconstructed event
      wmass->Analyse();  // Do your analysis
      atlfast->Clear();         // Clear all event lists
   }
   wmass->Finish();
   file->cd();
}

