//   example of main program/macro to run ATLFast
void WMassGen_main()
{
   gROOT->Reset();

   gROOT->Macro("$ATLFAST/loadlibs");

   // Open the root output file
   TFile file("WMass_events.root","recreate","ATLFast root file",1);
   
   ATLFast atlfast("atlfast");     // create main object to run atlfast

   gROOT->LoadMacro("WMassGen.C");  // execute WMass macro to change some parameters

   WMassGen wmass;       // create an object of the WMassGen class defined in WMassGen.C

   wmass.Init();         // Initialize user routine
   atlfast.Init();      // Initialise event (maker histograms,etc)
   atlfast.MakeTree();  // Create the Root tree



   TPythia *pythia = (TPythia *)gATLFast->MCMaker()->Generator();
//   pythia->PyStat(2);
//   atlfast.PrintInfo();

   Int_t kFilter;
   Int_t nevents=100;
   for (Int_t i=0; i<nevents; i++) {
      if (i%20 == 0) printf("In loop:%d\n",i);
      atlfast.Make(i);       // Generate and Reconstruct event
      wmass.FillHistograms(); // Fill user histograms
      kFilter=0;
      wmass.Filter(kFilter);  // Apply user filter
      if(kFilter > 0) atlfast.FillTree();  //Store interesting event
//      if (i < 1) pythia->LuList(1);
      atlfast.Clear();       // Clear reconstructed event lists
   }
   pythia->PyStat(1);
   atlfast.Finish();
   // save objects in Root file
//   atlfast.Tree()->Print();
   atlfast.Write();  //save main atlfast object (and run parameters)
//   atlfast.PrintInfo();
   wmass.StoreHistograms();
}
