//   example of main program/macro to run ATLFast
void user_main()
{
   gROOT->Reset();

   gROOT->Macro("$ATLFAST/loadlibs");

   // Open the root output file
   TFile file("atlfast.root","recreate","ATLFast root file",1);
   
   ATLFast atlfast("atlfast");     // create main object to run atlfast

   gROOT->LoadMacro("user.C");  // execute user macro to change some parameters

   User user;       // create an object of the User class defined in User.C

   user.Init();         // Initialize user routine
   atlfast.Init();      // Initialise event (maker histograms,etc)
   atlfast.MakeTree();  // Create the Root tree



   TPythia *pythia = (TPythia *)gATLFast->MCMaker()->Generator();
//   pythia->PyStat(2);
//   atlfast.PrintInfo();

   Int_t kFilter;
   Int_t nevents=100;
   for (Int_t i=0; i<nevents; i++) {
      if (i%20 == 0) printf("In loop:%d\n",i);
      atlfast.Make(i);       // Generate and Reconstruct event
      user.FillHistograms(); // Fill user histograms
      kFilter=0;
      user.Filter(kFilter);  // Apply user filter
      if(kFilter > 0) atlfast.FillTree();  //Store interesting event
//      if (i < 1) pythia->LuList(1);
      atlfast.Clear();       // Clear reconstructed event lists
   }

   atlfast.Finish();
   // save objects in Root file
//   atlfast.Tree()->Print();
   atlfast.Write();  //save main atlfast object (and run parameters)
//   atlfast.PrintInfo();
   user.StoreHistograms();
}
