{
   // dynamically link the shared libraries
   gSystem->Load("$PYTHIA/libPythia.so");  // Pythia library
   gSystem->Load("libEG.so");              // Root Event Generator interface
   gSystem->Load("libEGPythia.so");        // Root interface to Pythia

   TPythia *myPythia = new TPythia();
   TMCParticle *myParticle;

   // Assume I've completed all initialization

   myPythia->Initialize("CMS","p","p",14000);
   myPythia.GenerateEvent();
   int numParticles = myPythia.GetNumberOfParticles();
   TObjArray *particles = myPythia.GetListOfParticles();
   for(int i = 0; i < numParticles; i++) {
      myParticle = (TMCParticle*)particles->At(i);
      int KS   = myParticle->GetKS();
      float px = myParticle->GetPx();
      float py = myParticle->GetPy();
      float pz = myParticle->GetPz();
      printf("i=%4d, KS=%d, px=%g, py=%g, pz=%g\n",i,KS,px,py,pz);
   }
}
