void loop(Int_t nevmax=-1)
{
   gROOT->Reset();
   gROOT->Macro("loadlibs");

   // Open the root output file
   TFile file("atlfast.root");

   ATLFast *atlfast = (ATLFast*)file.Get("atlfast");

   TTree *tree = atlfast.Tree();
   Int_t nevents = tree->GetEntries();
   if (nevmax > 0) nevents = nevmax;

   Int_t nbytes = 0;
   for (Int_t i=0; i<nevents; i++) {
      if (i%100 == 1) printf("In loop:%d\n",i);
      nbytes += tree->GetEvent(i);       // Generate and reconstruct event
      atlfast.Clear();                   // Clear all event lists
   }
   printf("You have read %d events and %d bytes\n",nevents,nbytes);
}
