{
//=========Macro describing the ATLFast makers

   char *slide="makers";
   InitCanvas(slide);
   gROOT->LoadMacro("boxes.C");
   gROOT->LoadMacro("hbox.C");
   char *slide="makers";
   
   ptit = new TPaveLabel(4,22.5,16,23.8,"ATLFast Makers: Principle");
   ptit->SetFillColor(31);
   if (!gROOT->TestBit(kEPS)) ptit->Draw();

   t = new TText();
   t->SetTextFont(62);
   t->SetTextSize(0.028);

   TPad *pad = new TPad("pad","main pad",0.02,0.05,0.98,0.92);
   pad->SetFillColor(38);
//   pad->Range(-0.12,1.12,-0.12,1.12);
   pad->Draw();
   pad->cd();
   
   Float_t *dum = 0;
   TGraph *graph = new TGraph(11,dum,dum);
   graph->SetName("Graph");
   graph->SetTitle("Graph");
   graph->SetFillColor(19);
   graph->SetPoint(0,0.787888,0.191344);
   graph->SetPoint(1,0.535751,0.0837954);
   graph->SetPoint(2,0.176361,0.109002);
   graph->SetPoint(3,0.0559369,0.315697);
   graph->SetPoint(4,0.0314758,0.55264);
   graph->SetPoint(5,0.106741,0.797985);
   graph->SetPoint(6,0.33818,0.954267);
   graph->SetPoint(7,0.590318,0.957628);
   graph->SetPoint(8,0.817994,0.858481);
   graph->SetPoint(9,0.895141,0.692117);
   graph->SetPoint(10,0.947826,0.443411);
   graph->SetLineWidth(12);
   graph->SetLineColor(5);
   graph->Draw("C");
   c1->Update();

   Float_t xm, ym, dxm,dym;
   Float_t xh, yh, dxh,dyh;
   dxm = 0.12;
   dym = 0.025;
   dxh = dxm;
   dyh = dym;
   Float_t dx = 0.06;
   Float_t dy = 0.033;
   char *names[10];
   names[0] = "TObject";
   names[1] = "TNamed";
   names[2] = "ATLFMaker";
//---------
   names[3] = "ATLFMCMaker";
   boxes(4,0.6,0.04,dx,dy,19);
   hbox(0.520,0.216,"TMCParticle",10);
//---------
   names[3] = "ATLFClusterMaker";
   boxes(4,0.35,0.04,dx,dy,19);
   hbox(0.316,0.206,"ATLFCluster",7);
//---------
   names[3] = "ATLFElectronMaker";
   boxes(4,0.17,0.164,dx,dy,19);
   hbox(0.235,0.312,"ATLFElectron",3);
//---------
   names[3] = "ATLFMuonMaker";
   boxes(4,0.108,0.354,dx,dy,19);
   hbox(0.202,0.483,"ATLFMuon",2);
//---------
   names[3] = "ATLFPhotonMaker";
   boxes(4,0.12,0.565,dx,dy,19);
   hbox(0.219,0.615,"ATLFPhoton",2);
//---------
   names[3] = "ATLFJetMaker";
   boxes(4,0.21,0.80,dx,dy,19);
   hbox(0.253,0.760,"ATLFJet",3);
//---------
   names[3] = "ATLFTrackMaker";
   boxes(4,0.5,0.85,dx,dy,19);
   hbox(0.446,0.788,"ATLFTrack",6);
//---------
   names[3] = "ATLFTriggerMaker";
   boxes(4,0.79,0.76,dx,dy,19);
   hbox(0.616,0.700,"ATLFTrigger",1);
//---------
   names[3] = "ATLFMiscMaker";
   boxes(4,0.88,0.54,dx,dy,19);
   hbox(0.739,0.472,"ATLFMisc",1);

   Float_t dxt = 0.095;
   Float_t dyt = 0.112;
   Float_t xt  = 0.55;
   Float_t yt  = 0.472;
   TPavesText *rt = new TPavesText(xt-dxt,yt-dyt,xt+dxt,yt+dyt);
   rt->SetFillColor(17);
   rt->SetTextColor(1);
   rt->SetTextSize(0.05);
   rt->AddText("ROOT");
   rt->AddText("ATLFast");
   rt->AddText("Tree");
   rt->Draw();

   TArc *start = new TArc(0.786,0.19,0.023);
   start->SetFillColor(2);
   start->Draw();

   TPavesText *mcfile = new TPavesText(0.86,0.087,0.97,0.217);
   mcfile->AddText("MC");
   mcfile->AddText("Events");
   mcfile->AddText("Root");
   mcfile->AddText("Tree");
   mcfile->Draw();

   TPaveLabel *isajet = new TPaveLabel(0.758,0.282,0.949,0.331,"Isajet");
   isajet->Draw();
   TPaveLabel *pythia = new TPaveLabel(0.727,0.319,0.917,0.365,"Pythia");
   pythia->Draw();

   TArrow *garrow = new TArrow();
   garrow->SetLineColor(5);
   garrow->SetLineWidth(8);
   garrow->SetFillColor(5);
   garrow->DrawArrow(0.813,0.328,0.786,0.222,0.02,"|>");
   garrow->DrawArrow(0.857,0.274,0.912,0.224,0.02,"|>");
   garrow->DrawArrow(0.855,0.15,0.812,0.174,0.02,"|>");


   Signe(slide);
}
    
