void s_clustermaker()
{
//=========Macro describing the MCMaker principle

   char *slide="s_clustermaker";
   InitCanvas(slide);
   
   pl = new TPaveLabel(6,21,14,22.5,"ATLFClusterMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   if (!gROOT->TestBit(kEPS)) pl->Draw();

   
   
   TPavesText *pst = new TPavesText(2,16.5,10,19,9,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("TMCParticle");
   pst->AddText(" ");
   pst->Draw();

   TArrow *arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(6,16.5,6,11.6,0.015,"|>");

   
   pt = new TPaveText(1,12.7,11,15.5,"br");
   pt->SetTextSize(0.028);
   pt->SetFillColor(33);
   pt->AddText(" ");
   pt->AddText("Compute cells in (eta,phi) for each track");
   pt->AddText("Build clusters from cells");
   pt->AddText(" ");
   pt->Draw();
   
   pst = new TPavesText(2,8.5,10,11,6,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("ATLFCluster");
   pst->AddText(" ");
   pst->Draw();
   
   pt = new TPaveText(12.5, 9.5,19.5,17.5,"br");
   pt->SetFillColor(42);
   pt->SetTextSize(0.02);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("Int_t    m_KFcode;");
   pt->AddText("Int_t    m_Ncells;");
   pt->AddText("Int_t    m_Nparticles;");
   pt->AddText("Int_t    m_UseFlag;");

   pt->AddText("Float_t  m_Eta0;");
   pt->AddText("Float_t  m_Phi0;");
   pt->AddText("Float_t  m_Eta;");
   pt->AddText("Float_t  m_Phi;");
   pt->AddText("Float_t  m_ET;");
   pt->AddText("  ");

   pt->Draw();
   
   pl = new TPaveLabel(14,17.25,18,18,"ATLFCluster","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(1,1.5,19,7,"br");
   pt->SetFillColor(18);
   pt->SetTextSize(0.018);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("  ");
   pt->AddText("ATLFClusterMaker *clustermaker = gATLFast->ClusterMaker();");
   pt->AddText("TClonesArray *clusters = clustermaker->Fruits();");
   pt->AddText("TH1F *hEta = new TH1F("hEta","Rapidity",100,-5,5);");
   pt->AddText("ATLFCluster *cluster;");
   pt->AddText("Int_t nclusters = clusters->GetEntriesFast();");
   pt->AddText("for (Int_t i=0;i<nclusters;i++) {");
   pt->AddText("   cluster = (ATLFCluster*)clusters->At(i);");
   pt->AddText("   hEta->Fill(cluster->Eta());");
   pt->AddText("}");
   pt->SetAllWith("hEta","color",2);
   pt->Draw();
   
   pl = new TPaveLabel(4,6.5,16,7.5,"Example of loop on all reconstructed clusters","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();

   arrow->SetLineWidth(4);
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->DrawArrow(9,9.5,12.4,11.7,0.02,"|>");

   Signe(slide);
}
