void s_jetmaker()
{
//=========Macro describing the JetMaker principle

   char *slide="s_jetmaker";
   InitCanvas(slide);
   
   pl = new TPaveLabel(6,21,14,22.5,"ATLFJetMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   if (!gROOT->TestBit(kEPS)) pl->Draw();

   
   
   TPavesText *pst = new TPavesText(2,16.5,10,19,9,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("ATLFCluster");
   pst->AddText(" ");
   pst->Draw();

   TArrow *arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(6,16.5,6,11.6,0.015,"|>");

   
   pt = new TPaveText(1,12.7,11,15.5,"br");
   pt->SetTextSize(0.028);
   pt->SetFillColor(33);
   pt->AddText(" ");
   pt->AddText("Reconstruct jets, Bjets, Cjets, Taus ");
   pt->AddText("from clusters");
   pt->AddText(" ");
   pt->Draw();
   
   pst = new TPavesText(2,8.5,10,11,6,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("ATLFJet");
   pst->AddText(" ");
   pst->Draw();
   
   pt = new TPaveText(12.5, 9.5,19.5,17.5,"br");
   pt->SetFillColor(42);
   pt->SetTextSize(0.02);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("Int_t    m_KFcode;");
   pt->AddText("Int_t    m_Ncells;");
   pt->AddText("Int_t    m_MCParticle;");
   pt->AddText("Int_t    m_Part;");

   pt->AddText("Float_t  m_Eta0;");
   pt->AddText("Float_t  m_Phi0;");
   pt->AddText("Float_t  m_Eta;");
   pt->AddText("Float_t  m_Phi;");
   pt->AddText("Float_t  m_PT;");
   pt->AddText("  ");

   pt->Draw();
   
   pl = new TPaveLabel(14,17.25,18,18,"ATLFJet","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(1,1.5,19,7,"br");
   pt->SetFillColor(18);
   pt->SetTextSize(0.018);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("  ");
   pt->AddText("ATLFJetMaker *jetmaker = gATLFast->JetMaker();");
   pt->AddText("TClonesArray *jets = jetmaker->Fruits();");
   pt->AddText("TH1F *hPT = new TH1F("hPT","Transverse_Momentum",100,0,50);");
   pt->AddText("ATLFJet *jet;");
   pt->AddText("Int_t njets = jets->GetEntriesFast();");
   pt->AddText("for (Int_t i=0;i<njets;i++) {");
   pt->AddText("   jet = (ATLFJet*)jets->At(i);");
   pt->AddText("   hPT->Fill(jet->PT());");
   pt->AddText("}");
   pt->SetAllWith("hPT","color",2);
   pt->Draw();
   
   pl = new TPaveLabel(4,6.5,16,7.5,"Example of loop on all reconstructed jets","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();

   arrow->SetLineWidth(4);
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->DrawArrow(9,9.5,12.4,11.7,0.02,"|>");

   Signe(slide);
}
