void s_mcmaker()
{
//=========Macro describing the MCMaker principle

   char *slide="s_mcmaker";
   InitCanvas(slide);
   
   pl = new TPaveLabel(6,21,14,22.5,"ATLFMCMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   if (!gROOT->TestBit(kEPS)) pl->Draw();

   TLine *lh = new TLine(3,19,9.6,19);
   lh->SetLineWidth(4);
   lh->Draw();
   TDiamond *diamond = new TDiamond(4.4,17.7,8.4,20.3);
   diamond->SetFillColor(38);
   diamond->SetTextSize(0.025);
   diamond->SetTextAlign(22);
   diamond->AddText(" ");
   diamond->AddText("Production");
   diamond->AddText("mode");
   diamond->AddText(" ");
   diamond->Draw();
   
   TArrow *arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(3,19,3,11.8,0.015,"|>");
   arrow->DrawArrow(6.4,17.7,6.4,11.8,0.015,"|>");
   arrow->DrawArrow(9.6,19,9.6,11.8,0.015,"|>");
   
   TPaveLabel *pl = new TPaveLabel(1.75,16.5,4.25,17.5,"> 200","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   pl->Draw();

   TPaveLabel *pl = new TPaveLabel(5,16.5,7.75,17.5,"> 100","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pl = new TPaveLabel(8.5,16.5,11,17.5,"1->11","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   TPaveText *pt = new TPaveText(1.5,12.7,4.5,15.5,"br");
   pt->SetFillColor(33);
   pt->SetTextSize(0.028);
   pt->AddText(" ");
   pt->AddText("Read GENZ");
   pt->AddText("Zebra");
   pt->AddText("file.genz");
   pt->AddText(" ");
   pt->Draw();
   
   pt = new TPaveText(5,12.7,8,15.5,"br");
   pt->SetFillColor(33);
   pt->SetTextSize(0.028);
   pt->AddText(" ");
   pt->AddText("Read Pythia");
   pt->AddText("file");
   pt->AddText("pythia1.root");
   pt->AddText(" ");
   pt->Draw();
   
   pt = new TPaveText(8.25,12.7,11.25,15.5,"br");
   pt->SetTextSize(0.028);
   pt->SetFillColor(33);
   pt->AddText(" ");
   pt->AddText("Call Pythia");
   pt->AddText("on the fly");
   pt->AddText(" ");
   pt->Draw();
   
   TPavesText *pst = new TPavesText(2,8.5,10,11,9,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("TMCParticle");
   pst->AddText(" ");
   pst->Draw();
   
   pt = new TPaveText(12.5, 9.5,19.5,17.5,"br");
   pt->SetFillColor(42);
   pt->SetTextSize(0.02);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("Int_t    fKS;");
   pt->AddText("Int_t    fKF;");
   pt->AddText("Int_t    fParent;");
   pt->AddText("Int_t    fFirstChild;");
   pt->AddText("Int_t    fLastChild;");

   pt->AddText("Float_t  fPx;");
   pt->AddText("Float_t  fPy;");
   pt->AddText("Float_t  fPz;");
   pt->AddText("Float_t  fEnergy;");
   pt->AddText("Float_t  fMass;");

   pt->AddText("Float_t  fVx;");
   pt->AddText("Float_t  fVy;");
   pt->AddText("Float_t  fVz;");
   pt->AddText("Float_t  fTime;");
   pt->AddText("Float_t  fLifetime;");
   pt->Draw();
   
   pl = new TPaveLabel(14,17.25,18,18,"TMCParticle","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(2,1.5,18,7,"br");
   pt->SetFillColor(18);
   pt->SetTextSize(0.02);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("  ");
   pt->AddText("ATLFMCMaker *mcmaker = gATLFast->MCMaker();");
   pt->AddText("TClonesArray *particles = mcmaker->Fruits();");
   pt->AddText("TH1F *hE = new TH1F("hE","Tracks_energy",100,0,100);");
   pt->AddText("TMCParticle *particle;");
   pt->AddText("Int_t nparticles = particles->GetEntriesFast();");
   pt->AddText("for (Int_t i=0;i<nparticles;i++) {");
   pt->AddText("   particle = (TMCParticle*)particles->At(i);");
   pt->AddText("   hE->Fill(particle->GetEnergy());");
   pt->AddText("}");
   pt->SetAllWith("hE","color",2);
   pt->Draw();
   
   pl = new TPaveLabel(4,6.5,16,7.5,"Example of loop on all generated particles","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();

   arrow->SetLineWidth(4);
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->DrawArrow(9,9.5,12.4,11.7,0.02,"|>");

   Signe(slide);
}
