void s_miscmaker()
{
//=========Macro describing the MiscMaker principle

   char *slide="s_miscmaker";
   InitCanvas(slide);
   
   pl = new TPaveLabel(6,21,14,22.5,"ATLFMiscMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   if (!gROOT->TestBit(kEPS)) pl->Draw();

   
   
   TPavesText *pst = new TPavesText(2,16.5,10,19,9,"tr");
   TText *text;
   pst->SetFillColor(42);
   pst->SetTextSize(0.019);
   pst->AddText(" ");
   text = pst->AddText("TClonesArrays");
   text->SetTextSize(0.035);
   pst->AddText(" ");
   text = pst->AddText("of");
   text->SetTextSize(0.03);
   pst->AddText(" ");
   pst->AddText("ATLFCluster, ATLFElectron, ATLFMuon");
   pst->AddText("ATLFPhoton, ATLFJet, ATLFTrack, ATLFMisc");
   pst->AddText(" ");
   pst->Draw();

   TArrow *arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(6,16.5,6,11.2,0.015,"|>");

   
   pt = new TPaveText(4,12.7,8,15.5,"br");
   pt->SetTextSize(0.028);
   pt->SetFillColor(33);
   pt->AddText(" ");
   pt->AddText("Build");
   pt->AddText("global event");
   pt->AddText("misc info");
   pt->AddText(" ");
   pt->Draw();
   
   pt = new TPaveText(4,8.5,8,11,"tr");
   pt->SetFillColor(42);
   pt->SetTextSize(0.03);
   pt->AddText(" ");
   pt->AddText("ATLFMisc");
   pt->AddText("object");
   pt->AddText(" ");
   pt->Draw("arctr");
   
   pt = new TPaveText(9, 7.5,19.5,15.5,"br");
   pt->SetFillColor(42);
   pt->SetTextSize(0.013);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("Int_t   m_Run;        //Run number");
   pt->AddText("Int_t   m_Event;      //Event number");
   pt->AddText("Int_t   m_MCProcess;  //Scattering process code");
   pt->AddText("Int_t   m_Nelectrons; //Isolated electrons");
   pt->AddText("Int_t   m_Nmuons;     //Isolated muons");
   pt->AddText("Int_t   m_Nmuonsx;    //NonIsolated muons");
   pt->AddText("Int_t   m_Nphotons;   //Isolated photons");
   pt->AddText("Int_t   m_Nalljets;   //All jets");
   pt->AddText("Int_t   m_Nbjets;     //b-labelled jets");
   pt->AddText("Int_t   m_Ncjets;     //c-labelled jets");
   pt->AddText("Int_t   m_Ntaujets;   //tau-labelled jets");
   pt->AddText("Float_t m_CircJets;   //Circularity from jets");
   pt->AddText("Float_t m_CircEvent;  //Circularity from cells");
   pt->AddText("Float_t m_Thrust;     //Event Thrust");
   pt->AddText("Float_t m_Oblateness; //Event Oblateness");
   pt->AddText("Float_t m_pxmiss;     //Missing momentum along X");
   pt->AddText("Float_t m_pymiss;     //Missing momentum along Y");
   pt->AddText("Float_t m_pxnu;       //Sum of missing X momenta");
   pt->AddText("Float_t m_pynu;       //Sum of missing Y momenta");
   pt->AddText("  ");

   pt->Draw();
   
   pl = new TPaveLabel(12,15.25,16,16,"ATLFMisc","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(1,1.5,19,6,"br");
   pt->SetFillColor(18);
   pt->SetTextSize(0.018);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("  ");
   pt->AddText("ATLFMiscMaker *miscmaker = gATLFast->MiscMaker();");
   pt->AddText("ATLFMisc *misc = (ATLFMisc*)Fruit();");
   pt->AddText("Float_t thrust = misc->Thrust();");
   pt->AddText("  ");
   pt->Draw();
   
   pl = new TPaveLabel(4,5.5,16,6.5,"Example of code to access global event info","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();

   arrow->SetLineWidth(4);
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->DrawArrow(7,9.5,12.4,11.7,0.02,"|>");

   Signe(slide);
}
