void s_muonmaker()
{
//=========Macro describing the MuonMaker principle

   char *slide="s_muonmaker";
   InitCanvas(slide);
   
   pl = new TPaveLabel(6,21,14,22.5,"ATLFMuonMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   if (!gROOT->TestBit(kEPS)) pl->Draw();

   
   
   TPavesText *pst = new TPavesText(2,16.5,10,19,9,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("ATLFCluster");
   pst->AddText(" ");
   pst->Draw();

   TArrow *arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(6,16.5,6,11.6,0.015,"|>");

   
   pt = new TPaveText(1,12.7,11,15.5,"br");
   pt->SetTextSize(0.028);
   pt->SetFillColor(33);
   pt->AddText(" ");
   pt->AddText("Reconstruct muons and isolated muons ");
   pt->AddText("from clusters");
   pt->AddText(" ");
   pt->Draw();
   
   pst = new TPavesText(2,8.5,10,11,6,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("ATLFMuon");
   pst->AddText(" ");
   pst->Draw();
   
   pt = new TPaveText(12.5, 9.5,19.5,17.5,"br");
   pt->SetFillColor(42);
   pt->SetTextSize(0.02);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("Int_t    m_KFcode;");
   pt->AddText("Int_t    m_MCParticle;");
   pt->AddText("Int_t    m_KFmother;");
   pt->AddText("Int_t    m_UseFlag;");
   pt->AddText("Int_t    m_Isolated;");

   pt->AddText("Float_t  m_Eta;");
   pt->AddText("Float_t  m_Phi;");
   pt->AddText("Float_t  m_PT;");
   pt->AddText("Int_t    m_Trigger;");
   pt->AddText("  ");

   pt->Draw();
   
   pl = new TPaveLabel(14,17.25,18,18,"ATLFMuon","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(1,1.5,19,7,"br");
   pt->SetFillColor(18);
   pt->SetTextSize(0.018);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("  ");
   pt->AddText("ATLFMuonMaker *muonmaker = gATLFast->MuonMaker();");
   pt->AddText("TClonesArray *muons = muonmaker->Fruits();");
   pt->AddText("TH1F *hPT = new TH1F("hPT","Transverse_Momentum",100,0,50);");
   pt->AddText("ATLFMuon *muon;");
   pt->AddText("Int_t nmuons = muons->GetEntriesFast();");
   pt->AddText("for (Int_t i=0;i<nmuons;i++) {");
   pt->AddText("   muon = (ATLFMuon*)muons->At(i);");
   pt->AddText("   hPT->Fill(muon->PT());");
   pt->AddText("}");
   pt->SetAllWith("hPT","color",2);
   pt->Draw();
   
   pl = new TPaveLabel(4,6.5,16,7.5,"Example of loop on all reconstructed muons","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();

   arrow->SetLineWidth(4);
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->DrawArrow(9,9.5,12.4,11.7,0.02,"|>");

   Signe(slide);
}
