void s_trackmaker()
{
//=========Macro describing the TrackMaker principle

   char *slide="s_trackmaker";
   InitCanvas(slide);
   
   pl = new TPaveLabel(6,21,14,22.5,"ATLFTrackMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   if (!gROOT->TestBit(kEPS)) pl->Draw();

   
   
   TPavesText *pst = new TPavesText(2,16.5,10,19,9,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("TMCParticle");
   pst->AddText(" ");
   pst->Draw();

   TArrow *arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(6,16.5,6,11.6,0.015,"|>");

   
   pt = new TPaveText(1,12.7,11,15.5,"br");
   pt->SetTextSize(0.028);
   pt->SetFillColor(33);
   pt->AddText(" ");
   pt->AddText("Reconstruct tracks ");
   pt->AddText("from generated particles");
   pt->AddText(" ");
   pt->Draw();
   
   pst = new TPavesText(2,8.5,10,11,6,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   pst->AddText(" ");
   pst->AddText("TClonesArray");
   pst->AddText(" ");
   pst->AddText("of");
   pst->AddText(" ");
   pst->AddText("ATLFTrack");
   pst->AddText(" ");
   pst->Draw();
   
   pt = new TPaveText(12.5, 9.5,19.5,17.5,"br");
   pt->SetFillColor(42);
   pt->SetTextSize(0.02);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("Int_t    m_KFcode;");
   pt->AddText("Int_t    m_MCParticle;");
   pt->AddText("Int_t    m_Nmothers;");
   pt->AddText("Int_t    m_KFmother[6];");
   pt->AddText("Int_t    m_MCmother[6];");

   pt->AddText("Float_t  m_a0;");
   pt->AddText("Float_t  m_z0;");
   pt->AddText("Float_t  m_phi;");
   pt->AddText("Float_t  m_cot;");
   pt->AddText("Float_t  m_PTinv;");
   pt->AddText("Float_t  m_a0Crude;");
   pt->AddText("Float_t  m_z0Crude;");
   pt->AddText("Float_t  m_phiCrude;");
   pt->AddText("Float_t  m_cotCrude;");
   pt->AddText("Float_t  m_PTinvCrude;");
   pt->AddText("Float_t  m_CORR[25];");
   pt->AddText("  ");

   pt->Draw();
   
   pl = new TPaveLabel(14,17.25,18,18,"ATLFTrack","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(1,1.5,19,7,"br");
   pt->SetFillColor(18);
   pt->SetTextSize(0.018);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("  ");
   pt->AddText("ATLFTrackMaker *trackmaker = gATLFast->TrackMaker();");
   pt->AddText("TClonesArray *tracks = trackmaker->Fruits();");
   pt->AddText("TH1F *hPTinv = new TH1F("hPTinv","Inverse PT",100,0,50);");
   pt->AddText("ATLFTrack *track;");
   pt->AddText("Int_t ntracks = tracks->GetEntriesFast();");
   pt->AddText("for (Int_t i=0;i<ntracks;i++) {");
   pt->AddText("   track = (ATLFTrack*)tracks->At(i);");
   pt->AddText("   hPTinv->Fill(track->PTinv());");
   pt->AddText("}");
   pt->SetAllWith("hPTinv","color",2);
   pt->Draw();
   
   pl = new TPaveLabel(4,6.5,16,7.5,"Example of loop on all reconstructed tracks","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();

   arrow->SetLineWidth(4);
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->DrawArrow(9,9.5,12.4,11.7,0.02,"|>");

   Signe(slide);
}
