void s_triggermaker()
{
//=========Macro describing the TriggerMaker principle

   char *slide="s_triggermaker";
   InitCanvas(slide);
   
   pl = new TPaveLabel(6,21,14,22.5,"ATLFTriggerMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   if (!gROOT->TestBit(kEPS)) pl->Draw();

   
   
   TPavesText *pst = new TPavesText(2,16.5,10,19,9,"tr");
   TText *text;
   pst->SetFillColor(42);
   pst->SetTextSize(0.019);
   pst->AddText(" ");
   text = pst->AddText("TClonesArrays");
   text->SetTextSize(0.035);
   pst->AddText(" ");
   text = pst->AddText("of");
   text->SetTextSize(0.03);
   pst->AddText(" ");
   pst->AddText("ATLFCluster, ATLFElectron, ATLFMuon");
   pst->AddText("ATLFPhoton, ATLFJet, ATLFTrack, ATLFMisc");
   pst->AddText(" ");
   pst->Draw();

   TArrow *arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(6,16.5,6,11.2,0.015,"|>");

   
   pt = new TPaveText(4,12.7,8,15.5,"br");
   pt->SetTextSize(0.028);
   pt->SetFillColor(33);
   pt->AddText(" ");
   pt->AddText("Build");
   pt->AddText("Trigger types");
   pt->AddText(" ");
   pt->Draw();
   
   pt = new TPaveText(4,8.5,8,11,"tr");
   pt->SetFillColor(42);
   pt->SetTextSize(0.03);
   pt->AddText(" ");
   pt->AddText("ATLFTrigger");
   pt->AddText("object");
   pt->AddText(" ");
   pt->Draw("arctr");
   
   pt = new TPaveText(9, 7.5,19.5,15.5,"br");
   pt->SetFillColor(42);
   pt->SetTextSize(0.015);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("Bool_t m_ALL; //All triggers");
   pt->AddText("Bool_t m_EM1; //One isolated electron");
   pt->AddText("Bool_t m_PH1; //One isolated photon");
   pt->AddText("Bool_t m_EM2; //Two isolated electrons/photons");

   pt->AddText("Bool_t m_MU1; //One muon");
   pt->AddText("Bool_t m_MU2; //Two muons");
   pt->AddText("Bool_t m_EMU; //Electron-muon pairs");
   pt->AddText("Bool_t m_JT1; //One jet");
   pt->AddText("Bool_t m_JT3; //Three jets");
   pt->AddText("Bool_t m_JT4; //Four jets");
   pt->AddText("  ");

   pt->Draw();
   
   pl = new TPaveLabel(12,15.25,16,16,"ATLFTrigger","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(1,1.5,19,6,"br");
   pt->SetFillColor(18);
   pt->SetTextSize(0.018);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->AddText("  ");
   pt->AddText("  ");
   pt->AddText("ATLFTriggerMaker *triggermaker = gATLFast->TriggerMaker();");
   pt->AddText("ATLFTrigger *trigger = (ATLFTrigger*)Fruit();");
   pt->AddText("Bool_t all = trigger->ALL();");
   pt->AddText("  ");
   pt->Draw();
   
   pl = new TPaveLabel(4,5.5,16,6.5,"Example of code to access trigger info","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();

   arrow->SetLineWidth(4);
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->DrawArrow(7,9.5,12.4,11.7,0.02,"|>");

   Signe(slide);
}
