//   example of main program/macro to run ATLFast
void umain(Int_t prodmode=1, Int_t nevents=100)
{
   gROOT->Macro("$ATLFAST/loadlibs");

   // Open the root output file
   TFile file("atlfast.root","recreate","ATLFast root file",2);
   
   ATLFast atlfast("atlfast");     // create main object to run atlfast

   atlfast.MCMaker()->SetProductionMode(prodmode);

   gROOT->Macro("user.C");  // execute user macro to change some parameters

   atlfast.Init();      // Initialise event (maker histograms,etc)
   atlfast.MakeTree();  // Create the Root tree

   TPythia6 *pythia = (TPythia6 *)gATLFast->MCMaker()->Generator();
   pythia->Pystat(2);
   atlfast.PrintInfo();

   for (Int_t i=0; i<nevents; i++) {
      if (i%20 == 0) printf("In loop:%d\n",i);
      atlfast.Make(i);       // Generate and Reconstruct event
      atlfast.FillTree();
      if (i < 1) pythia->Pylist(1);
      atlfast.Clear();       // Clear reconstructed event lists
   }

   atlfast.Finish();
   // save objects in Root file
   atlfast.Write();  //save main atlfast object (and run parameters)
}
