//   example of main program/macro to run ATLFast
void umain5(Int_t prodmode=7, Int_t nevents=100)
{
  // the following production modes may be specified
  //        1- H-->gam gam
  //        2- Z-->ee
  //        3- Z-->mumu
  //        4- H-->ZZ-->4e
  //        5- H-->ZZ-->4mu
  //        6- H-->ZZ-->2mu2e
  //        7- WH, H-->bb, W-->lnu
  //        8- WH, H-->gg, W-->lnu
  //        9- WH, H-->jj, W-->lnu
  //       10- bbA, A--> tau tau

   gROOT->Macro("$ATLFAST/loadlibs5");

   // Open the root output file
   TFile file("atlfast.root","recreate","ATLFast root file",1);
   
   ATLFast atlfast("atlfast");     // create main object to run atlfast

   atlfast.MCMaker()->SetProductionMode(prodmode);

   gROOT->Macro("user.C");  // execute user macro to change some parameters

   atlfast.Init();      // Initialise event (maker histograms,etc)
   //TTree::SetBranchStyle(1);
   atlfast.MakeTree();  // Create the Root tree

   TPythia *pythia = (TPythia *)gATLFast->MCMaker()->Generator();
   pythia->Pystat(2);
   atlfast.PrintInfo();

   for (Int_t i=0; i<nevents; i++) {
      if (i%20 == 0) printf("In loop:%d\n",i);
      atlfast.Make(i);       // Generate and Reconstruct event
      atlfast.FillTree();
      if (i < 1) pythia->Lulist(1);
      atlfast.Clear();       // Clear reconstructed event lists
   }

   atlfast.Finish();
   atlfast.Tree()->Print();
   atlfast.Write();  //save main atlfast object (and run parameters)
}
